Package com.xebialabs.xlrelease.variable

## Class VariableFactory

- java.lang.Object
- - com.xebialabs.xlrelease.variable.VariableFactory

-     public class VariableFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static scala.Option<Variable>` | `createVariableByPropertyDescriptor​(PropertyDescriptor propertyDescriptor)` |
    `static scala.Option<Variable>` | `createVariableByReference​(VariableReference variableReference)` |
    `static Variable` | `createVariableByValueType​(java.lang.String key, java.lang.Object value, boolean isPassword, boolean isGlobalOrFolder)` |
    `static java.util.List<Variable>` | `variableReferencesToVariables​(java.util.List<VariableReference> variables)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableFactory

          public VariableFactory()

  - ### Method Detail

    - #### createVariableByValueType

          public static Variable createVariableByValueType​(java.lang.String key,
                                                           java.lang.Object value,
                                                           boolean isPassword,
                                                           boolean isGlobalOrFolder)

    - #### createVariableByReference

          public static scala.Option<Variable> createVariableByReference​(VariableReference variableReference)

    - #### createVariableByPropertyDescriptor

          public static scala.Option<Variable> createVariableByPropertyDescriptor​(PropertyDescriptor propertyDescriptor)

    - #### variableReferencesToVariables

          public static java.util.List<Variable> variableReferencesToVariables​(java.util.List<VariableReference> variables)